// sigterm
package main

import (
	"fmt"
	"log"
	"os"
	"os/signal"
	"syscall"
)

func exit() {
	log.Println("EXIT")
	fmt.Println("EXIT")
	loop = false
	done <- true
}

func setTerm() {
	c := make(chan os.Signal, 1)
	signal.Notify(c, os.Interrupt)
	signal.Notify(c, syscall.SIGTERM)
	go func() {
		<-c
		exit()
	}()
}
